Bug 108977 - Document with foreign pgp keys show no signature information
Summary: Document with foreign pgp keys show no signature information
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.0.3
Keywords:
Depends on:
Blocks: Digital-Signatures
  Show dependency treegraph
 
Reported: 2017-07-05 20:20 UTC by Samuel Mehrbrodt (CIB)
Modified: 2017-07-20 20:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (32.65 KB, image/png)
2017-07-05 20:21 UTC, Samuel Mehrbrodt (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2017-07-05 20:20:05 UTC
Open a document which some else signed with PGP where you don't have their keys.
You see the entries in the digital signatures dialog, but have no information about their origin.

The issuer info etc should be available anyway.
Comment 1 Samuel Mehrbrodt (CIB) 2017-07-05 20:20:44 UTC
Additionally LibreOffice crashes when you click on the "View Certificate" button in such a case.
Comment 2 Samuel Mehrbrodt (CIB) 2017-07-05 20:21:11 UTC
Created attachment 134503 [details]
Screenshot
Comment 3 Commit Notification 2017-07-10 13:42:59 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=820bd4b3b64a5746599c48c729037a959ff61c84

tdf#108977 Show signature info also for keys we don't have locally

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-07-10 13:48:42 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=30f857246e9cea6c1879d52801dcb24c75b45d42

Related tdf#108977 Fix crash when vieweing non-existing certificate

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-07-11 14:02:15 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=701a350f788696c572e10ed2beb74d4eddc64534&h=libreoffice-5-4-0

Related tdf#108977 Fix crash when vieweing non-existing certificate

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-07-12 11:44:34 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2dddbeab775d129d0d9a21c34422ead99dbc991c&h=libreoffice-5-4

Related tdf#108977 Fix crash when vieweing non-existing certificate

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-07-13 13:52:25 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=25e0fef51557d2c93cf287dfb4721bb4c0086107&h=libreoffice-5-4-0

tdf#108977 Show signature info for keys we don't have locally

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-07-14 13:19:46 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d3219c5e801056c1c3ca0d9912794b804c2d763e&h=libreoffice-5-4

tdf#108977 Show signature info for keys we don't have locally

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.